<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#moduleListingTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
                //显示检索按钮
                showSearch: true,
                //显示刷新按钮
                showRefresh: true,
                //显示切换手机试图按钮
                showToggle: true,
                //显示 内容列下拉框
                showColumns: true,
                //显示到处按钮
                showExport: true,
                //显示切换分页按钮
                showPaginationSwitch: true,

    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,   
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/managementcenter/moduleacquisition/moduleListing/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/managementcenter/moduleacquisition/moduleListing/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#moduleListingTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})
                   	   
                   	});
                      
                   } 
               },
            onLoadSuccess:function(data){
                jQuery(function(){
                    //使用id选择器;例如:tab对象->tr->td对象.
                    $("#moduleListingTable tr td").each(function(i){
                        //获取td当前对象的文本,如果长度大于25;
                        if($(this).text().length>10){
                            //给td设置title属性,并且设置td的完整值.给title属性.
                            $(this).attr("title",$(this).text());
                            //获取td的值,进行截取。赋值给text变量保存.
                            var text=$(this).text().substring(0,10)+"...";
                            //重新为td赋值;
                            $(this).text(text);
                        }
                    });
                });
            },
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true
		       
		    }
                   ,{
                       field: 'mdName',
                       title: '模块名称',
                       width:130
                   }
                    ,{
                        field: 'mdBigClass',
                        title: '模块大类',
                       width:100
                    }

                   ,{
                       field: 'mdTheClass',
                       title: '模块中类',
                       width:100
                   }
                   ,{
                       field: 'bigClassification',
                       title: '大分类',
                       width:100
                   }
                   ,{
                       field: 'theClassification',
                       title: '中分类',
                       width:100
                   }
                   ,{
                       field: 'smallClassification',
                       title: '小分类',
                       width:100
                   }
                   ,{
                       field: 'materialCode',
                       title: '物料编码',
                       width:110
                   }
                   ,{
                       field: 'materialDescription',
                       title: '物料描述',
                       width:150
                   }
                   ,{
                       field: 'extensionDescription',
                       title: '扩展描述',
                       width:150
                   }
                   ,{
                       field: 'mdUnits',
                       title: '单位',
                       width:70
                   }
                   ,{
                       field: 'mdCount',
                       title: '数量',
                       width:70
                   }
                   ,{
                       field: 'mdSingleWeight',
                       title: '单重',
                       width:70
                   }
                   ,{
                       field: 'mdTotalWeight',
                       title: '总重',
                       width:70
                   }
                   ,{
                       field: 'mdTheParty',
                       title: '甲乙供',
                       width:100
                   }
                   ,{
                       field: 'mdText',
                       title: '备注',
                       width:150
                   }
                   ,{
                       field: 'mdTotalAmount',
                       title: '总量',
                       width:100
                   }
		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#moduleListingTable').bootstrapTable("toggleView");
		}
	  
	  $('#moduleListingTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#moduleListingTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#moduleListingTable').bootstrapTable('getSelections').length!=1);
        });
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['确定', '关闭'],
			    	btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/managementcenter/moduleacquisition/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  	},

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			}); 
		});
		
		
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/managementcenter/moduleacquisition/export');
	  });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#moduleListingTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#moduleListingTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#moduleListingTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/managementcenter/moduleacquisition/moduleListing/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#moduleListingTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#moduleListingTable').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增模块表', "${ctx}/managementcenter/moduleacquisition/moduleListing/form",'800px', '500px');
  }



    function edit(id){//没有权限时，不显示确定按钮
        if(id == undefined){
            id = getIdSelections();
        }
        jp.openSaveDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/form?id="+id, '800px', '500px');
    }
  
     function view(id){//没有权限时，不显示确定按钮
          if(id == undefined){
                 id = getIdSelections();
          }
            jp.openViewDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/list", '800px', '500px');
     }



</script>